let kissCount = 0;

document.getElementById('kissButton').addEventListener('click', function() {
  kissCount++;
  document.getElementById('kissCount').textContent = `Besos enviados: ${kissCount}`;
  animateKiss();
});

function animateKiss() {
  const kiss = document.createElement('div');
  kiss.textContent = '💋';
  kiss.style.position = 'absolute';
  kiss.style.fontSize = '2rem';
  kiss.style.left = `${Math.random() * 80 + 10}%`;
  kiss.style.top = '0';
  document.body.appendChild(kiss);

  const animation = kiss.animate([
    { top: '0', opacity: 1 },
    { top: '80%', opacity: 0 }
  ], {
    duration: 1000,
    easing: 'ease-out'
  });

  animation.onfinish = () => kiss.remove();
}